/*
 * Created by CHEUNG Siu Kei
 */

// Colour variables
$space-gray: #65737e;
$dark-gray: #343d46;
$light-gray: #c0c5ce;

/* General */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: sans-serif;
  background: url('./img/space.png') repeat-y;
}

#future-video {
  height: 100%;
  width: 100%;
  z-index: -1;
  position: absolute;
  top: 0;
  left: 0;
  object-fit: fill;
}

.container {
  margin: 2em 15%;
  margin-top: 0;
  display: flex;
  flex-direction: column;
  grid-area: content;

}

.container * {
  margin-top: 25px;
  margin-bottom: 25px;
}

.wrapper {
  display: flex;
  flex-direction: column;
  grid-area: content;
}

.bx-wrapper {
  width: 100%;
  margin: 2em 15%;

  @media (min-width: 0px) and (max-width: 767px) {
    margin: 1em auto;
  }

  @media (min-width: 768px) {
    margin: 2em auto;
  }
}

.img-responsive {
  max-width : 100%;
  height: auto;
  display: block;
}

/* Grids */
.future-global-grid {
  display: grid;
  grid-template-columns: 30% repeat(4, 1fr);
  grid-template-rows: repeat(2, 1fr) 20%;
  grid-template-areas: "nav content content content content"
                       "nav content content content content"
                       "footer footer footer footer footer";
  @media (min-width: 0px) and (max-width: 767px) {
    grid-template-columns: 1fr;
    grid-template-rows: 20% 1fr 20%;
    grid-template-areas: "nav"
                         "content"
                         "footer";
  }
}

/* Fonts */
h1,
h2,
h3,
h4,
h5,
h6,
p {
  color: white;
}

h1,
h2,
h3,
h4,
h5,
h6,
nav li,
nav #nav-mobile,
footer li,
footer #copyright {
  font-family: 'VT323', monospace;
}

h1 {
  font-size: 2.5rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.75rem;
}

h4 {
  font-size: 1.5rem;
}

h5 {
  font-size: 1.25rem;
}

h6 {
  font-size: 1rem;
}

nav li,
nav #nav-mobile,
footer li,
footer #copyright {
  font-size: 1.5rem;
}

.container ul li {
  color: #fff;
}

/* Navbar */
nav {
  margin: 2em;
  grid-area: nav;

  @media (min-width: 0px) and (max-width: 560px) {
    margin: 1em;
  }
}

.css-present-logo {
  display: none;
}

.css-future-logo img {
  height: 60%;
  width: 60%;
  @media (min-width: 0px) and (max-width: 767px) {
    height: 30%;
    width: 30%;
  }
}

.nav-header {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
}

nav li {
  margin-top: 1.75em;
  margin-bottom: 1.75em;
}

nav li a {
  display: block;
  text-decoration: none;
  text-align: center;
  text-transform: uppercase;
  font-weight: bold;
  color: #000;
  padding: 0.75em;
  border: 1px solid $space-gray;
  border-radius: 5px;
  background-color: $space-gray;
  width: 75%;
  transition: all 0.4s ease;

  @media (min-width: 0px) and (max-width: 767px) {
    font-size: 1em;
    width: 100%;
  }

  &.active {
    background-color: $light-gray;
  }

  &:hover {
    background-color: $light-gray;
  }
}

#nav-mobile {
  display: none;
  color: white;
  text-decoration: none;
  @media (min-width: 0px) and (max-width: 480px) {
    display: block;
    font-size: 0.8em;
  }
  @media (min-width: 481px) and (max-width: 767px) {
    display: block;
    font-size: 1em;
  }

}

nav ul {
  list-style: none;
  @media (min-width: 0px) and (max-width: 767px) {
    display: none;
    background-color: rgba(0,0,0,0.6);
  }
}

/* Form */
.links {
  list-style: none;

  a {
    text-decoration: none;
    color: #fff;
    transition: all .4s ease-in-out;

    &:hover {
      text-decoration: underline;
      color: yellow;
    }
  }
}

form {
  @media (min-width: 0px) and (max-width: 767px) {
    label {
      display: block;
    }
  }
  label {
    color: #fff;
    margin-top: 1em !important;
    margin-bottom: 1em !important;
  }

  input {
    display: block;
    border: 1px solid #fff;
    border-radius: 5px;
    width: 100%;
    padding: 0.5em;
    margin: 0.75em 0;
    font-size: 0.75em;
    outline: none;
    transition: all 0.3s ease-in-out;

    &:focus {
      border: 1px solid yellow;
      box-shadow: 0 0 5px yellow;
    }
  }

  button[type="submit"] {
    display: block;
    border: 3px solid #fff;
    background-color: #000;
    color: #fff;
    padding: 0.75em;
    transition: all .4s ease-in-out;

    &:hover {
      border: 3px solid yellow;
      color: yellow;
    }
  }
}

/* Footer */
footer {
  width: 100%;
  margin-top: 1.5em;
  padding-top: 0.8em;
  padding-bottom: 0.8em;
  background-color: $space-gray;
  color: #000;
  grid-area: footer;
}

footer ul {
  margin-top: 1.2em;
  list-style-type: none;
  display: flex;
  align-items: center;
  justify-content: center;
  @media (min-width: 0px) and (max-width: 460px) {
    flex-direction: column;
  }
}
footer ul li {
  @media (min-width: 0px) and (max-width: 460px) {
    margin-top: 1em;
    margin-bottom: 1em;
  }
}

footer ul li a {
  color: #fff;
  text-decoration: none;
  text-transform: uppercase;
  padding: 10px;
  @media (min-width: 0px) and (max-width: 460px) {
    margin-top: 1em;
    margin-bottom: 1em;
  }
}

#copyright {
  text-align: center;
  margin-top: 1.5em;
  margin-bottom: 1.5em;
}

/* Animations */
@import 'animations';